Package org.apache.sysds.parser.dml

## Class DmlParser.ConstIntIdExpressionContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.sysds.parser.dml.DmlParser.ExpressionContext
      - - org.apache.sysds.parser.dml.DmlParser.ConstIntIdExpressionContext

- All Implemented Interfaces:
    `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`
  Enclosing class:
    DmlParser

      public static class DmlParser.ConstIntIdExpressionContext
      extends DmlParser.ExpressionContext

- - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.parser.dml.DmlParser.ExpressionContext

      `info`

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `EMPTY, invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstIntIdExpressionContext​(DmlParser.ExpressionContext ctx)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `enterRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)` |
    `void` | `exitRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `INT()` |

    - ### Methods inherited from class org.apache.sysds.parser.dml.DmlParser.ExpressionContext

      `copyFrom, getRuleIndex`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstIntIdExpressionContext

          public ConstIntIdExpressionContext​(DmlParser.ExpressionContext ctx)

  - ### Method Detail

    - #### INT

          public org.antlr.v4.runtime.tree.TerminalNode INT()

    - #### enterRule

          public void enterRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### exitRule

          public void exitRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`